Open CASCADE Technology: IGESSolid_HArray1OfLoop Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
IGESSolid_HArray1OfLoop Class Reference

`#include <IGESSolid_HArray1OfLoop.hxx>`

Inheritance diagram for IGESSolid_HArray1OfLoop:
[legend]

## Public Member Functions
| IGESSolid_HArray1OfLoop (const Standard_Integer Low, const Standard_Integer Up)
| IGESSolid_HArray1OfLoop (const Standard_Integer Low, const Standard_Integer Up, const Handle< IGESSolid_Loop > &V)
void | Init (const Handle< IGESSolid_Loop > &V)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Handle< IGESSolid_Loop > &Value)
const Handle< IGESSolid_Loop > & | Value (const Standard_Integer Index) const
Handle< IGESSolid_Loop > & | ChangeValue (const Standard_Integer Index)
const IGESSolid_Array1OfLoop & | Array1 () const
IGESSolid_Array1OfLoop & | ChangeArray1 ()
Public Member Functions inherited from MMgt_TShared
virtual void | Delete () const
| Memory deallocator for transient classes. More...
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Constructor & Destructor Documentation

IGESSolid_HArray1OfLoop::IGESSolid_HArray1OfLoop | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |  |

IGESSolid_HArray1OfLoop::IGESSolid_HArray1OfLoop | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up,
|  | const Handle< IGESSolid_Loop > & | V
| ) |  |

## Member Function Documentation

const IGESSolid_Array1OfLoop& IGESSolid_HArray1OfLoop::Array1 | ( |  | ) | const

IGESSolid_Array1OfLoop& IGESSolid_HArray1OfLoop::ChangeArray1 | ( |  | ) |

Handle< IGESSolid_Loop >& IGESSolid_HArray1OfLoop::ChangeValue | ( | const Standard_Integer | Index | ) |

void IGESSolid_HArray1OfLoop::Init | ( | const Handle< IGESSolid_Loop > & | V | ) |

Standard_Integer IGESSolid_HArray1OfLoop::Length | ( |  | ) | const

Standard_Integer IGESSolid_HArray1OfLoop::Lower | ( |  | ) | const

void IGESSolid_HArray1OfLoop::SetValue | ( | const Standard_Integer | Index,
|  | const Handle< IGESSolid_Loop > & | Value
| ) |  |

Standard_Integer IGESSolid_HArray1OfLoop::Upper | ( |  | ) | const

const Handle< IGESSolid_Loop >& IGESSolid_HArray1OfLoop::Value | ( | const Standard_Integer | Index | ) | const

The documentation for this class was generated from the following file:

- IGESSolid_HArray1OfLoop.hxx